## gate.jape.parser
Class ParseCpslTokenManager

    java.lang.Object
      |
      +--gate.jape.parser.ParseCpslTokenManager

All Implemented Interfaces:
  ParseCpslConstants

public class ParseCpslTokenManager
extends Object
implements ParseCpslConstants

Field Summary
`static int[]` `jjnewLexState`
`static String[]` `jjstrLiteralImages`
`static String[]` `lexStateNames`

Fields inherited from interface gate.jape.parser.ParseCpslConstants

`assign, bar, bool, colon, colonplus, comma, commentChars, commentEnd, commentStart, DEFAULT, digits, EOF, equals, exponent, floatingPoint, ident, IN_PHASES, IN_STRING, input, integer, kleeneOp, leftBrace, leftBracket, letter, letterOrDigitOrDash, letters, lettersAndDigits, lettersAndDigitsAndDashes, macro, multiphase, newline, option, other, path, period, phase, phases, PHASES_WITHIN_COMMENT, phasesCommentChars, phasesCommentEnd, phasesCommentStart, phasesSingleLineCpslStyleComment, phasesSingleLineCStyleComment, phasesWhiteSpace, pling, priority, rightBrace, rightBracket, rule, semicolon, singleLineCpslStyleComment, singleLineCStyleComment, space, spaces, string, tokenImage, whiteSpace, WITHIN_COMMENT`

Constructor Summary
`ParseCpslTokenManager(ASCII_CharStream stream)`
`ParseCpslTokenManager(ASCII_CharStream stream, int lexState)`

Method Summary
`Token` `getNextToken()`
`void` `ReInit(ASCII_CharStream stream)`
`void` `ReInit(ASCII_CharStream stream, int lexState)`
`void` `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

Constructor Detail

### ParseCpslTokenManager

    public ParseCpslTokenManager(ASCII_CharStream stream)

### ParseCpslTokenManager

    public ParseCpslTokenManager(ASCII_CharStream stream,
                                 int lexState)

Method Detail

### ReInit

    public void ReInit(ASCII_CharStream stream)

### ReInit

    public void ReInit(ASCII_CharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public final Token getNextToken()